%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name flow2dot
%define f_pkg_name flow2dot
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %f_pkg_name
Version: 0.3
Release: alt1

Summary: Generates sequence diagrams from textual descriptions
License: BSD3
Group: Development/Haskell

URL: http://adept.linux.kiev.ua/repos/flow2dot
Source: %name-%version.tar.gz
Packager: Michael Shigorin <mike@altlinux.org>

BuildRequires: ghc %hs_package_dependencies utf8-string parsec QuickCheck mtl >= 1.0
BuildRequires(pre): rpm-build-haskell

%description
Generates sequence diagrams from textual descriptions with help
of Graphviz graph drawing tool.

Check out <http://adept.linux.kiev.ua/repos/flow2dot/sample.flow> (source)
and <http://adept.linux.kiev.ua/repos/flow2dot/sample.png> (output).

%package -n %hsc_namever-%f_pkg_name-prof
Summary: Profiling libraries for %hsc_namever-%f_pkg_name
Group: Development/Libraries
Requires: %hsc_namever-%f_pkg_name = %version

%description -n %hsc_namever-%f_pkg_name-prof
Generates sequence diagrams from textual descriptions with help
of Graphviz graph drawing tool.

This package contains profiling libraries for %hsc_name %hsc_version.

%prep
%setup -n %h_pkg_name-%version

%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
%hs_setup \
	%hs_configure \
		--prefix=%_prefix \
		--libdir=%_libdir \
		--docdir=%_docdir/%hsc_namever-%f_pkg_name-%version \
		--libsubdir='$compiler/lib/$pkgid' \
		--enable-library-profiling \
		--ghc
%hs_setup build

%install
%hs_setup copy --destdir=%buildroot

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version

%files
%_bindir/flow2dot
%doc LICENSE README sample.flow

%changelog
* Sat Feb 16 2008 Michael Shigorin <mike@altlinux.org> 0.3-alt1
- 0.3:
  + quote entity names for graphviz
- spec cleanup
- updated buildrequires

* Wed Feb 13 2008 Michael Shigorin <mike@altlinux.org> 0.2.1-alt0.20080213
- built for ALT Linux
- thanks Alexey V. Myltsev (avm@), see also #14412

* Wed Feb 13 2008 cabal-rpm <cabal-devel@haskell.org> 0.2.1-alt0.20080213
- spec file autogenerated by cabal-rpm
